Bug 117126 - www/apache13: [PATCH]: portlint cleanups
Summary: www/apache13: [PATCH]: portlint cleanups
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey A. Chernov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-11 22:30 UTC by Philip M. Gollucci
Modified: 2007-10-19 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (26.43 KB, patch)
2007-10-11 22:30 UTC, Philip M. Gollucci
no flags Details | Diff
www_apache13.diff (25.64 KB, patch)
2007-10-16 04:48 UTC, philip
no flags Details | Diff
www_apache13.diff (25.64 KB, patch)
2007-10-16 19:56 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2007-10-11 22:30:02 UTC
1) Fixed CONFLICT for caudium12
2) Implemented NOPORTDOC
3) renamed all patches with makepatch (unchanged)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-10-11 22:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ache

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey A. Chernov freebsd_committer 2007-10-13 19:28:24 UTC
State Changed
From-To: open->feedback


Hi, I dislike this way: 
+.if defined(NOPORTDOC) 
+        ${REINPLACE_CMD} -e '232d' -e '426d' -e '427,430d' ${WRKSRC}/Makefile.tmpl 
+.endif 
It makes headache when line numbers may be changed in the next release. 
Please use use distinguishable patterns instead or other way. 

Also patch-xx renaming is not recommended for old ports to keep history of  
changes.
Comment 3 dfilter service freebsd_committer 2007-10-13 19:40:01 UTC
ache        2007-10-13 18:39:53 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13         Makefile 
  Log:
  Use better pattern for caudium12 in CONFLICTS
  
  PR:     117126 (part of)
  Submitted by:   "Philip M. Gollucci" <pgollucci@p6m7g8.com>
  
  Revision  Changes    Path
  1.180     +1 -1      ports/www/apache13/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 philip 2007-10-16 04:48:52 UTC
Okay, so be it :)

Note: new file files/no_port_doc
Comment 5 pgollucci 2007-10-16 19:56:00 UTC
Hi, I'm sorry, that !defined in post-patch is backward.
Should be if defined.

Complete correct patch attached.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com) c:323.219.4708 o:703.749.9295x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 6 Andrey A. Chernov freebsd_committer 2007-10-19 07:56:49 UTC
State Changed
From-To: feedback->closed

Committed
Comment 7 dfilter service freebsd_committer 2007-10-19 07:57:35 UTC
ache        2007-10-19 06:57:30 UTC

  FreeBSD ports repository

  Modified files:
    www/apache13         Makefile pkg-plist 
  Added files:
    www/apache13/files   no_port_doc 
  Log:
  Honor NOPORTDOC
  
  PR:             117126
  Submitted by:   "Philip M. Gollucci" <pgollucci@p6m7g8.com>
  
  Revision  Changes    Path
  1.181     +11 -0     ports/www/apache13/Makefile
  1.1       +22 -0     ports/www/apache13/files/no_port_doc (new)
  1.66      +299 -299  ports/www/apache13/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"